Undefined index: l in ApiVisualEditor::getLangLinks
Closed, ResolvedPublic1 Story Points

Description

Undefined index: l in /srv/mediawiki/php-1.29.0-wmf.7/extensions/VisualEditor/ApiVisualEditor.php on line 176

This occurs on the following loop:

ApiVisualEditor::getLangLinks()
foreach ( $langlinks as $i => $lang ) {
    $langlinks[$i]['langname'] = $langnames[$langlinks[$i]['lang']];
}

See also T154559.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2017, 1:47 AM
Dereckson renamed this task from Undefined index: l in /srv/mediawiki/php-1.29.0-wmf.7/extensions/VisualEditor/ApiVisualEditor.php on line 176 to Undefined index: l in ApiVisualEditor::getLangLinks.Jan 10 2017, 1:50 AM
Dereckson updated the task description. (Show Details)

Change 331554 had a related patch set uploaded (by DLynch):
API/getLangLinks: Use isset when looking up $langnames

https://gerrit.wikimedia.org/r/331554

Change 331556 had a related patch set uploaded (by Chad):
API/getLangLinks: Use isset when looking up $langnames

https://gerrit.wikimedia.org/r/331556

Change 331554 merged by jenkins-bot:
API/getLangLinks: Use isset when looking up $langnames

https://gerrit.wikimedia.org/r/331554

Change 331556 merged by jenkins-bot:
API/getLangLinks: Use isset when looking up $langnames

https://gerrit.wikimedia.org/r/331556

Mentioned in SAL (#wikimedia-operations) [2017-01-10T22:53:11Z] <demon@tin> Synchronized php-1.29.0-wmf.7/extensions/VisualEditor/ApiVisualEditor.php: T154962 logspam (duration: 00m 41s)

demon closed this task as Resolved.Jan 10 2017, 10:58 PM
demon claimed this task.
Jdforrester-WMF triaged this task as Normal priority.Jan 12 2017, 12:17 AM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.